Bug 125898 - [MAINTAINER] dns/nsd: update to 3.1.1
Summary: [MAINTAINER] dns/nsd: update to 3.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-23 14:50 UTC by Olafur Osvaldsson
Modified: 2008-07-28 23:30 UTC (History)
0 users

See Also:


Attachments
nsd-3.1.1.patch (5.03 KB, patch)
2008-07-23 14:50 UTC, Olafur Osvaldsson
no flags Details | Diff
nsd-3.1.1.patch (4.92 KB, patch)
2008-07-25 23:00 UTC, Olafur Osvaldsson
no flags Details | Diff
file.dat (2 bytes, text/plain; charset=US-ASCII; format=flowed)
2008-07-25 23:00 UTC, Olafur Osvaldsson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olafur Osvaldsson 2008-07-23 14:50:01 UTC
- Update to 3.1.1
- Respect NOPORTDOCS

Added file(s):
- files/nsd.in

Removed file(s):
- files/nsd.sh.tmpl


Patch partly based on changes submitted in PR#125625 by pgollucci
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/125625
Comment 1 Philip M. Gollucci freebsd_committer 2008-07-23 17:39:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci
Comment 2 John LIghtsey 2008-07-25 21:17:18 UTC
NSD 3.1.1 allows you to change the compile time limit on the number of  
IP addresses it will support.  The default of 8 is too low to be  
useful on many systems.  Any chance you'd consider bumping it up to  
something a little higher like 512 by default?

It's just a matter of adding --with-max_interfaces=512 to  
CONFIGURE_ARGS.

John
Comment 3 Philip M. Gollucci freebsd_committer 2008-07-25 22:01:41 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Olafur Osvaldsson 2008-07-25 23:00:54 UTC
Here is a new patch with an added OPTION for enabling 512 max  
interfaces instead of the
default 8
Comment 5 Philip M. Gollucci freebsd_committer 2008-07-28 03:16:25 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 dfilter service freebsd_committer 2008-07-28 23:26:09 UTC
pgollucci    2008-07-28 22:25:55 UTC

  FreeBSD ports repository

  Modified files:
    dns/nsd              Makefile distinfo pkg-plist 
  Added files:
    dns/nsd/files        nsd.in 
  Removed files:
    dns/nsd/files        nsd.sh.tmpl 
  Log:
  - Update to 3.1.1
  - Respect NOPORTDOCS
  - Add option NSDMAX_INT
  - rename rc.d script nsd.sh -> nsd
  
  PR:     ports/125898
  Approved by:    Olafur Osvaldsson <osvaldsson@icelandic.net>  (maintainer), araujo (mentor)
  
  Revision  Changes    Path
  1.38      +22 -18    ports/dns/nsd/Makefile
  1.27      +3 -3      ports/dns/nsd/distinfo
  1.1       +31 -0     ports/dns/nsd/files/nsd.in (new)
  1.4       +0 -32     ports/dns/nsd/files/nsd.sh.tmpl (dead)
  1.6       +5 -5      ports/dns/nsd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philip M. Gollucci freebsd_committer 2008-07-28 23:27:20 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!